Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

pavucontrol-5.0-1.1 RPM for armv7hl

From OpenSuSE Ports Tumbleweed for armv7hl

Name: pavucontrol Distribution: openSUSE Tumbleweed
Version: 5.0 Vendor: openSUSE
Release: 1.1 Build date: Tue Aug 24 15:42:47 2021
Group: Productivity/Multimedia/Sound/Mixers Build host: obs-arm-11
Size: 382012 Source RPM: pavucontrol-5.0-1.1.src.rpm
Packager: http://bugs.opensuse.org
Url: https://freedesktop.org/software/pulseaudio/pavucontrol/
Summary: PulseAudio Volume Control
PulseAudio Volume Control (pavucontrol) is a simple GTK based volume
control tool ("mixer") for the PulseAudio sound server. In contrast to
classic mixer tools this one allows you to control both the volume of
hardware devices and of each playback stream separately.

Provides

Requires

License

GPL-2.0-or-later

Changelog

* Wed Aug 18 2021 Robert Munteanu <rombert@apache.org>
  - Update to version 5.0:
    * Support for switching Bluetooth codecs (new in PulseAudio 15.0).
    * Support for locking card profiles (new in PulseAudio 15.0).
      Locking a profile prevents PulseAudio from automatically switching
      away from that profile on plug/unplug events.
    * New translations: Asturian, Basque, Belarusian, Galician, Hebrew,
      Kazakh, Norwegian Bokmål, Sinhala, Slovenian
    * Updated translations: Catalan, Chinese (Simplified), Chinese
      (Traditional), Croatian, Danish, Dutch, Finnish, French, German,
      Hungarian, Italian, Japanese, Korean, Lithuanian, Norwegian
      Nynorsk, Polish, Portugese, Portugese (Brazil), Slovak, Spanish,
      Swedish, Turkish, Ukrainian.
    * Some bug fixes.
    * New dependency: json-glib.
    * Minimum gtkmm version bumped to 3.22.
* Thu Feb 25 2021 Antonio Larrosa <alarrosa@suse.com>
  - Require the pulseaudio-daemon capability instead of the
    pulseaudio package, so alternative implementations can be used
    (boo#1182730).
* Fri Sep 06 2019 Antoine Belvire <antoine.belvire@opensuse.org>
  - Add runtime requirement on pulseaudio (boo#1149634).
  - Refresh spec file.
* Sun Jun 30 2019 Avindra Goolcharan <avindra@opensuse.org>
  - Update to version 4.0:
    * There can now be only one pavucontrol window open at a time.
      Trying to start pavucontrol for a second time brings the first
      window to foreground.
    * Added a "Show volume meters" checkbox to the Configuration tab.
      Disabling the volume meters reduces CPU use.
    * Improve the use of space (remove useless margins and paddings).
    * Use a more appropriate icon for the channel lock button.
    * Better channel label layout, prevents volume sliders from getting
      unaligned.
    * Maximum latency offset increased from 2 to 5 seconds to
      accommodate AirPlay devices that often have higher latency than
      2 seconds (this is not that useful on newer PulseAudio versions,
      though, because the latency is reported much more accurately
      than before).
    * New --version command line option.
    * Dropped support for Gtk+ 2.
    * Bumped the minimum supported libpulse version to 5.0.
    * Improved compatibility with newer Glade versions.
    * New translations: Chinese (Taiwan), Croatian, Korean, Norwegian
      Nynorsk, Lithuanian, Valencian.
    * Updated translations: Finnish, French, German, Italian,
      Japanese, Polish, Swedish.
  - cleanup with spec-cleaner
  - drop pavucontrol-use-C++11-for-building.patch (upstreamed)
* Mon Jan 16 2017 zaitor@opensuse.org
  - Add pavucontrol-use-C++11-for-building.patch: Use C++11 for
    building, patch from upstream git.
  - Following the above add libtool BuildRequires and pass autoreconf
    as the patch touches the buildsystem.
  - Drop obsolete clean section and conditionals for obsolete
    versions of openSUSE.
* Tue Mar 24 2015 dimstar@opensuse.org
  - Update to version 3.0:
    + sinkwidget: add support for AAC pass-through.
    + added back support for gtkmm-2.4 builds.
    + pavucontrol: ellipsize labels to fix window resizing.
    + Don't crash if pa_stream_peek returns NULL.
    + Handle IO errors in icon setting code.
    + Reference the widget before returning it from ::create
      methods.
    + Do not instantiate cardwidget, devicewidget and rolewidget with
      a type of EventBox.
    + devicewidget, streamwidget: Show only one volume slider when
      channels are locked.
    + mainwindow: Catch Gdk::PixbufError.
    + Add a --maximize command line option.
    + Add horizontal scrollbars automatically.
    + mainwindow: Remember device visibility selections.
    + Build system fixes.
  - Drop pavucontrol-2.0-reference-widget.patch: fixed upstream.
* Sun Oct 12 2014 antoine.belvire@laposte.net
  - Add pavucontrol-2.0-reference-widget.patch: Reference the widget
    before returning it from ::create methods (boo#900797).
* Wed Apr 03 2013 dimstar@opensuse.org
  - Update to version 2.0:
    + Fix theme under gtk3.
    + Support recent PulseAudio port feature additions
    + devicewidget: Move latency offset into an expander.
    + sinkwidget: Move format selection options to 'Advanced'
      expander.
    + Add a few known peak-detect stream clients to a source-output
      blacklist.
* Tue Sep 27 2011 vuntz@opensuse.org
  - Update to version 1.0:
    + Add GTK+3 support.
    + Add source output volume support.
    + Add digitial receiver UI.
    + Handle simple key events.
    + Bug fixes.
  - Remove libglademm-devel BuildRequires: not needed anymore.
  - Add pkgconfig(sigc++-2.0) BuildRequires: it was implicit before.
  - Use favor_gtk2 to switch between gtk2 and gtk3 builds.
  - Move to pkgconfig()-style BuildRequires:
    + Old ones: gtkmm2-devel, libcanberra-devel, libpulse-devel.
    + New ones: gtkmm-2.4/gtkmm-3.0,
      libcanberra-gtk/libcanberra-gtk3, libpulse,
      libpulse-mainloop-glib.
  - Add xz BuildRequires because we can't build a package for a
    xz-compressed tarball without explicitly specifying that... See
    bnc#697467 for more details.
* Sat Feb 12 2011 vuntz@opensuse.org
  - Call relevant macros in %post/%postun:
    + %desktop_database_post/postun because the package ships at
      least one desktop file.
  - Pass %{?no_lang_C} to %find_lang so that english documentation
    can be packaged with the program, and not in the lang subpackage.
  - Split lang subpackage.

Files

/usr/bin/pavucontrol
/usr/share/applications/pavucontrol.desktop
/usr/share/doc/packages/pavucontrol
/usr/share/doc/packages/pavucontrol/README
/usr/share/doc/packages/pavucontrol/README.html
/usr/share/doc/packages/pavucontrol/style.css
/usr/share/licenses/pavucontrol
/usr/share/licenses/pavucontrol/LICENSE
/usr/share/pavucontrol
/usr/share/pavucontrol/pavucontrol.glade


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Nov 30 00:04:46 2021